## cascading.tap.hadoop.io
Class RecordReaderIterator

    java.lang.Object
      cascading.util.SingleValueIterator<Value>
          cascading.util.SingleValueCloseableIterator<RecordReader>
              cascading.tap.hadoop.io.RecordReaderIterator

All Implemented Interfaces:
  CloseableIterator<RecordReader>, Closeable, Iterator<RecordReader>

    public class RecordReaderIterator

extends SingleValueCloseableIterator<RecordReader>

RecordReaderIterator is a utility class for handing off a single `RecordReader` instance via the `Iterator`.

This class is frequently used with the `TupleEntrySchemeIterator` where there is only one RecordReader to iterate values over.

Field Summary

Fields inherited from class cascading.util.SingleValueIterator
`EMPTY, value`

Constructor Summary
`RecordReaderIterator(RecordReader reader)`

Method Summary
`void` `close()`

Methods inherited from class cascading.util.SingleValueCloseableIterator
`getCloseableInput`

Methods inherited from class cascading.util.SingleValueIterator
`hasNext, next, remove, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### RecordReaderIterator

    public RecordReaderIterator(RecordReader reader)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `SingleValueCloseableIterator<RecordReader>`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.